<?php

namespace Tests\Feature;

use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;

class MiniprogramTest extends TestCase
{
    /**
     * php artisan test --testsuite=Feature
     * A basic feature test example.
     */
    public function ttest_example(): void
    {
        $response = $this->getJson('/api/manage/miniprogram/allocation/13');
        //$response = $this->getJson('/api/manage/miniprogram/index');

        echo $response->getContent();
    }


    public function  ttest_store(): void
    {
        /*
        $response = $this->postJson('/api/channel/paytemplate/update/5',[
            'name'=>'AAAA模板11',
            'status'=>'0',
            'options'=>'[{"price":9,"type":"FIRST_COIN","given":1000,"sequence":1,"is_default":0},{"price":30,"type":"COIN","given":0,"sequence":2,"is_default":1},{"price":50,"type":"COIN","given":4000,"sequence":3,"is_default":1},{"price":190,"type":"MONTH","given":0,"sequence":4,"is_default":1},{"price":290,"type":"YEAR","given":0,"sequence":5,"is_default":0}]'
        ]);*/


        $response = $this->postJson('/api/channel/paytemplate/updatePayTemplateItem/31',[
            'price'=>10,'type'=>'FIRST_COIN','given'=>1000,'is_default'=>1
        ]);

        //$response = $this->postJson('/api/channel/paytemplate');

        echo $response->getContent();

        $response->dd();
    }


    public function ttest_allocation(): void
    {
        $response = $this->postJson('/api/manage/miniprogram/allocation/17',[
            'uids'=>'2,5',
            'action'=>'on'
        ]);

        $response->dd();
    }


    public function ttest_index(): void
    {
        $name = '亿';
        //$response = $this->getJson('/api/channel/paytemplate/optionSequence');
        //$response = $this->getJson('/api/channel/paytemplate/optionSequence');
        $response = $this->getJson('/api/manage/miniprogram/companylist');
        echo $response->getContent();
        $response->dd();
    }
}
